/*****************************************************************************
 ASC0_2.c		
 
 This example program initialize in a extern function (ASC0_lib.c, ASC0_lib.h)
 the Asynchronous/Synchro nous Serial Interface 0 in Asynchronous Mode with 
 8-bit data, one Stop bit, no Parity and set variable Baudrate.

												 PHYTEC Messtechnik GmbH, 1999
 ******************************************************************************/
#pragma small
/* ----- Include Dateien: --------------------------------------------------- */
#include <REG167.H>                    /* Define register for C167            */
#include <INTRINS.H>                   /* Prototyping derivate functionen     */
#include <STDIO.H>			 		   /* Standard I/O functions		      */
#include "ASC0_lib.h"				   /* function for serial interface 	  */

void main (void)
{
  serial (57600);					   /* init serial interface ASC0 with
   										  57600 baud.						  */
/* ------------ Your programm code ------------------------------------------ */
/* - Example - */
  putchar(' ');                        /* send dummy-Byte for compatibility   */

  printf ("\x1AHello World\n");        /* print 'Hello World' to the serial   */
                                       /* port.                               */
  while (1)                            /* An embedded program without any     */
  {                                    /* operating system usually does not   */
                                       /* stop and never returns.             */
                                       /* We've used an endless loop in this  */
                                       /* example.                            */
  printf ("  char = %02bX\n",getchar()); /* print the two digit hex code of   */
                                       /* any received character              */
  }
/* ----- Ende: -------------------------------------------------------------- */
}