/*********************************************************************
  GPT1_4.c          												 
   Timer T3 from General Purpose Timer Block 1 as Timer with reload
   by Overflow of T3.

									 PHYTEC Messtechnik GmbH, 2000
 *********************************************************************/

/* -------Including Files: ----------------------------------------- */
#include <REG167.H>          /* Register defin for C167              */
#include <INTRINS.H>         /* Prototyping of specific Funktionen 
								for C167   							 */
sbit DT3OUT = DP3^3;

 
/* ------ main Program: -------------------------------------------- */
void main (void)
{  
  T3OUT  = 1;                /* use alternative function of pin      */
  DT3OUT = 1;				 /* pin direction: output                */
 
 
  T3CON = 0x0200;			 /* T3 as timer with clock Fcpu/8		 */

  T2CON = 0x0027;            /* T2 as reload register for T3         */
  T3 = T2 = 0xFB1D;          /* load start und reload value Fout = 
                                1.0 kHz        						 */

  T3R   = 1;                 /* start Timer T3                       */


   while (1)                 /* endless loop	                     */
   {
     /* here your program    		                                 */
   } 
}

