/***********************************************************************/
/*  This file is part of the miniMODUL-167 package                     */
/*  Copyright PHYTEC Metechnik GmbH, Mainz 1994                       */
/***********************************************************************/
/*                                                                     */
/*  GETKEY.C:  This routine is the general character input of C166.    */
/*                                                                     */
/*  To translate this file use C166 with the following invocation:     */
/*                                                                     */
/*     C166 GETKEY.C                                                   */
/*                                                                     */
/*  To link the modified GETKEY.OBJ file to your application use the   */
/*  following L166 invocation:                                         */
/*                                                                     */
/*     L166 <your object file list>, GETKEY.OBJ <controls>             */
/*                                                                     */
/***********************************************************************/
#pragma large
#define  UART 1         /* SCC2691 als Standard-I/O aktivieren */
#define  XON  0x11
#include <reg166.h>

#if UART
#include "uart.h"

char _getkey ()  {
  char c;
#if XON
do {
#endif
  c = getc_UART();
#if XON
} while(c == XON);
#endif

  return (c);
}


#else


char _getkey ()  {
  char c;
#if XON
do {
#endif
    while (!S0RIR);
    c = S0RBUF;
    S0RIR = 0;
#if XON
} while(c == XON);
#endif
  return (c);
}


#endif
