/* ****** Beispiel FLASH-Programmierung AMD fr miniMODUL-167  ***** */
/*                                                                   */
/* V 1.1 / 12.02.98 MS/BH                                            */
/* Revisions:                                                        */
/*                                                                   */
/* (c) 1998 PHYTEC Messtechnik GmbH                                  */
/* ***************************************************************** */
#pragma large
#pragma MOD167 FIX167       /* only for MM167 */
#include <reg167.h>
#include <stdio.h>
#include "uart.h"


/*************************************************************************/
/* FUNCTION main                                                         */
/* Demo fr UART als zustzliche serielle Schnittstelle.                 */
/*************************************************************************/

void main (void)
{
word   i=0;
ADDRSEL4 = 0x4000;      /* ab adr.0x100000  4kByte */
BUSCON4 = 0x040B;       /* Busmode  aktiv */

/* init serial port */
  P3  |= 0x0400;        /* SET PORT 3.10 OUTPUT LATCH (TXD)              */
  DP3 |= 0x0400;        /* SET PORT 3.10 DIRECTION CONTROL (TXD OUTPUT)  */
  DP3 &= 0xF7FF;        /* RESET PORT 3.11 DIRECTION CONTROL (RXD INPUT) */
  S0TIC = 0x80;         /* SET TRANSMIT INTERRUPT FLAG                   */
  S0RIC = 0x00;         /* DELETE RECEIVE INTERRUPT FLAG                 */
  S0BG  = 0x40;         /* SET BAUDRATE TO 9600 BAUD                     */
  S0CON = 0x8011;       /* SET SERIAL MODE                               */
init_UART(0xBE);           /* 9600bps, 8d, nop, 1s */

printf("\nAusgabe ber UART-Port alle ASCII-Zeichen 0..255!");
while(i < 0x0100){
    putc_UART((byte) i++);
    }
printf("\nEinlesen von Zeichen ber den UART Port und Ausgabe ber standard-I/O:\n");
while (i != 0xFFFF){
    i = getc_UART();
    putc_UART((byte) i);
    printf(" %c : %04X\n",(byte) i, i);
    }
while (1);    /* never return */
}
