#include "RTC.H"

BYTE StopRTC(void) 
{
   BYTE  ClkID        = 0xA2;  // base IC-address of RTC              	
   BYTE	 TransferByte = 0x84;  // comand for control register of RTC	 

   return RTCPutRAM(&TransferByte, ClkID, 0x00, 1);
                               // write control register of RTC, 
                               // Stop it, set ALM bit, clear both interrupt flags
                               // and return error handling to verify of success
}
  
// For Test
void main (void)
{
  StopRTC();	// Stop RTC
  while(1); 	// Endless loop, end of programme
}


